KDE 4.4 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.marble import *`

## Detailed Description

## Class Index

A | GeoDataLineStyle (Marble) | MarbleGraphicsGridLayout (Marble)
AbstractDataPlugin (Marble) | GeoDataLod (Marble) | MarbleGraphicsItem (Marble)
AbstractDataPluginItem (Marble) | GeoDataLookAt (Marble) | MarbleMap (Marble)
AbstractDataPluginModel (Marble) | GeoDataMultiGeometry (Marble) | MarbleModel (Marble)
AbstractFloatItem (Marble) | GeoDataObject (Marble) | MarbleNavigator (Marble)
AbstractMarbleGraphicsLayout (Marble) | GeoDataOuterBoundary (Marble) | MarbleWidget (Marble)
AbstractWorkerThread (Marble) | GeoDataPlacemark (Marble) | P
C | GeoDataPoint (Marble) | Planet (Marble)
ClipPainter (Marble) | GeoDataPolygon (Marble) | PluginAboutDialog (Marble)
F | GeoDataPolyStyle (Marble) | PluginInterface (Marble)
FrameGraphicsItem (Marble) | GeoDataRegion (Marble) | Q
G | GeoDataStyle (Marble) | QtMarbleConfigDialog (Marble)
GeoDataAbstractView (Marble) | GeoDataStyleMap (Marble) | Quaternion (Marble)
GeoDataAccuracy (Marble) | GeoDataStyleSelector (Marble) | Quaternion (Marble)
GeoDataColorStyle (Marble) | GeoDocument (Marble) | R
GeoDataContainer (Marble) | GeoGraphicsItem (Marble) | RenderPlugin (Marble)
GeoDataCoordinates (Marble) | GeoNode (Marble) | RenderPluginInterface (Marble)
GeoDataDocument (Marble) | GeoPainter (Marble) | S
GeoDataFeature (Marble) | GeoSceneLayer (Marble) | ScreenGraphicsItem (Marble)
GeoDataFolder (Marble) | L | Serializable
GeoDataGeometry (Marble) | LabelGraphicsItem (Marble) | SunLocator (Marble)
GeoDataHotSpot (Marble) | LatLonEdit (Marble) | T
GeoDataIconStyle (Marble) | M | TileCreator (Marble)
GeoDataInnerBoundary (Marble) | MapThemeManager (Marble) | TinyWebBrowser (Marble)
GeoDataLabelStyle (Marble) | MarbleAboutDialog (Marble) | V
GeoDataLatLonAltBox (Marble) | MarbleControlBox (Marble) | ViewParams (Marble)
GeoDataLatLonBox (Marble) | MarbleDataFacade (Marble) | ViewportParams (Marble)
GeoDataLinearRing (Marble) | MarbleDirs (Marble) |
GeoDataLineString (Marble) | MarbleGlobal (Marble) |

## Enumerations

EnumFeatureId | { InvalidFeatureId, GeoDataDocumentId, GeoDataFolderId, GeoDataPlacemarkId, GeoDataNetworkLinkId, GeoDataScreenOverlayId, GeoDataGroundOverlayId }
EnumGeometryId | { InvalidGeometryId, GeoDataPointId, GeoDataLineStringId, GeoDataLinearRingId, GeoDataPolygonId, GeoDataMultiGeometryId, GeoDataModelId }

## Enumeration Documentation

EnumFeatureId

Enumerator:

EnumGeometryId

Enumerator: